org.eclipse.gmt.modisco.infra.facet.core.exception

## Class StructuralConstraintViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.gmt.modisco.infra.facet.core.exception.ModiscoFacetException
      - - org.eclipse.gmt.modisco.infra.facet.core.exception.StructuralConstraintViolationException

All Implemented Interfaces:
  java.io.Serializable

Deprecated.
Replaced by EMF Facet

    @Deprecated
    public class StructuralConstraintViolationException
    extends ModiscoFacetException

Author:
  Gregoire DUPE (Mia-Software) Gregoire DUPE (Mia-Software)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StructuralConstraintViolationException()` Deprecated.
`StructuralConstraintViolationException(java.lang.String message)` Deprecated.
`StructuralConstraintViolationException(java.lang.String message, java.lang.Throwable cause)` Deprecated.
`StructuralConstraintViolationException(java.lang.Throwable cause)` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StructuralConstraintViolationException

    public StructuralConstraintViolationException()

Deprecated.

#### StructuralConstraintViolationException

    public StructuralConstraintViolationException(java.lang.String message)

Deprecated.

#### StructuralConstraintViolationException

    public StructuralConstraintViolationException(java.lang.Throwable cause)

Deprecated.

#### StructuralConstraintViolationException

    public StructuralConstraintViolationException(java.lang.String message,
                                                  java.lang.Throwable cause)

Deprecated.